Package com.independentsoft.office.diagrams

# Enum Class AnimationLevel

java.lang.Object
java.lang.Enum<AnimationLevel>
com.independentsoft.office.diagrams.AnimationLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<AnimationLevel>`, `Constable`

public enum AnimationLevel extends Enum<AnimationLevel>
The Enum AnimationLevel.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BY_LEVEL`
  `DISABLE_LEVEL_AT_ONCE`
  `FROM_CENTER`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnimationLevel`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnimationLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FROM_CENTER

    public static final AnimationLevel FROM_CENTER

  - ### BY_LEVEL

    public static final AnimationLevel BY_LEVEL

  - ### DISABLE_LEVEL_AT_ONCE

    public static final AnimationLevel DISABLE_LEVEL_AT_ONCE

  - ### NONE

    public static final AnimationLevel NONE

- ## Method Details

  - ### values

    public static AnimationLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnimationLevel valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null